Issues during sagelib-8.4 building for Raspbian Stretch on armv7l

asked 2018-12-01 09:33:48 -0600

pavelsayekat gravatar image

updated 2018-12-03 01:43:31 -0600

During sagelib-8.4 building for Raspbian Stretch on armv7l/RPI3B as part of sage-8.4 build, some messages appeared which might interest sage developers, https://pastebin.com/KJy0ffXe. In short, the issue is with failure to find cimported module gmpy2 whereas the system has gmpy2 installed,

sage-8.4 $ pip show gmpy2
Name: gmpy2
Version: 2.0.8
Summary: GMP/MPIR, MPFR, and MPC interface to Python 2.6+ and 3.x
Home-page: http://code.google.com/p/gmpy/
Author: Case Van Horsen
Author-email: casevh@gmail.com
License: UNKNOWN
Location: /usr/local/lib/python2.7/dist-packages
Requires: 
Required-by:

But eventually sagelib-8.4 building completes.

So how much it limits the functioinality of sagelib-8.4 or it doesn't? And is that avoidable/fixable (workarounds!)?

edit retag flag offensive close merge delete

Comments

On x86_64, the case is same.

pavelsayekat gravatar imagepavelsayekat ( 2018-12-09 00:43:00 -0600 )edit